package com.yihu.jw.restmodel.patient.signPackage;

import com.yihu.jw.entity.base.servicePackage.ServicePackageItemDO;

import java.util.Date;
import java.util.List;

/**
 * Created by Trick on 2018/11/27.
 */
public class ServicePackageVO {

    private String id;
    private String provinceCode;
    private String provinceName;
    private String cityCode;
    private String cityName;
    private String saasId;
    private String name;//服务包名称
    private Integer num;//服务项数量
    private Long price;//预售价//单位分
    private String organization;//上架机构
    private String organizationName;//上架机构名称
    private String level;//服务包级别（0系统，1.医生，2团队，3社区，4区）
    private String creater;//创建者
    private Date createTime;//创建时间
    private String introduce;//服务介绍
    private String endIntroduce;//过期描述
    private String status;//审核状态（预留字段0待审核，1审核通过，2审核不通过）
    private Integer del;//是否有效（1有效，0失效）
    private Date endTime;

    private List<SerivePackageItemVO> items;//服务项描述

    private Integer signType;//判断当前居民是否签约：1为签约，2为未签约

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getEndIntroduce() {
        return endIntroduce;
    }

    public void setEndIntroduce(String endIntroduce) {
        this.endIntroduce = endIntroduce;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public List<SerivePackageItemVO> getItems() {
        return items;
    }

    public void setItems(List<SerivePackageItemVO> items) {
        this.items = items;
    }

    public String getOrganization() {
        return organization;
    }

    public void setOrganization(String organization) {
        this.organization = organization;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getSignType() {
        return signType;
    }

    public void setSignType(Integer signType) {
        this.signType = signType;
    }
}
